/*********************************************************** Szczegoly planu **************************************************/
#szczegol_plan {
	width: 75%;
	align-self: flex-start;
}

#lista_planszczegol #autor {
	padding-left: 1rem;
	border-left: 2px solid var(--maincolor);
	margin-left: 1rem;
	width: 25%;
	display: flex;
}

#szczegol_plan > #thumbnail {
	width: 30%;
	align-self: flex-start;
}

#szczegol_plan #podpis {
	width: 70%;
	word-wrap: break-word;
	margin-left: 1rem;
}

#szczegol_plan #nazwa {
	text-transform: uppercase;
	font-size: 2.5rem;
	letter-spacing: 0.5rem;
	color: var(--maincolor);
	border-bottom: 2px solid var(--maincolor);
	margin-bottom: 1rem;
	text-align: center;
}

#szczegol_plan #opis {
	color: #333;
	font-size: 1.2rem;
	letter-spacing: 0.05rem;
}

#szczegol_plan #liczba {
	color: #666;
	letter-spacing: 0.1rem;
	font-size: 1.1rem;
	font-weight: bold;
}

@media screen and (max-width: 900px) {
	#lista_planszczegol {
		flex-direction: column;
	}
	#szczegol_plan {
		width: 100%;
		flex-direction: column;
	}

	#szczegol_plan > #thumbnail {
		width: 10rem;
		min-width: 10rem;
	}
	
	#szczegol_plan #podpis {
		width: 100%;
		margin: 0;
	}

	#szczegol_plan #nazwa {
		font-size: 1.5rem;
		letter-spacing: 0.3rem;
		margin-top: 0.5rem;
	}

	#lista_planszczegol #autor {
		padding: 1rem 0 0;
		border-left: none;
		border-top: 2px solid var(--maincolor);
		margin: 1rem 0 0;
		width: 100%;
	}
}

@media screen and (max-width: 512px) {
	#szczegol_plan > #thumbnail {
		margin-left: -1rem;
		width: 100vw;
	}
}

/*********************************************************** Lista planów **************************************************/
#glowna_plan.niedostepny {
	min-height: 20rem;
	display: block;
}

#glowna_plan.niedostepny button {
	text-transform: uppercase;
	font-size: 1.4rem;
	padding: 0.75rem;
  	border: 1px solid var(--maincolor);
  	border-radius: 0.3rem;
	background-color: var(--maincolor);
	color: white;
	max-width: 20rem;
}
